<?
  include_once(dirname(__FILE__) ."/include/main.php");

  if(isset($_POST["cancel"]))
  {
    Helper::Redirect("users.php");
  }

  if($_GET["action"] == "logout")
  {
    Helper::LogoutAdmin();
    Helper::Redirect("users.php");
  }

  $errors = array(); 
    
  if(isset($_POST["login"]))
  {
    if(Helper::LoginAdmin(stripslashes($_POST["username"]), stripslashes($_POST["password"])))
    {
      Helper::Redirect("users.php");
    }
    $errors[] = __("INVALID_USERNAME_OR_PASSWORD");
  }

?>
<?php print '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=(_SITE_TITLE ." :: ". __("ADMIN_LOGIN"))?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
</head>

<body id="adminLoginBody">
<div id="wrapper">
<? Helper::CreateUserListTopbar(); ?>
<div id="content">
<form class="wide" method="post" action="<?=$_SERVER["PHP_SELF"]?>">

<h1><?=__("ADMIN_LOGIN")?></h1>

<p><?=__("ADMIN_LOGIN_INFO")?></p>

<? if(count($errors) > 0) { ?>
<ul class="error">
<?
  foreach($errors as $e)
  {
    print "<li>$e</li>";
  }
?>
</ul>
<? } ?>

<div class="container">
<label for="username"><?=__("USERNAME")?></label>
<input type="text" class="text" id="username" name="username" value="" />
</div>

<div class="container">
<label for="password"><?=__("PASSWORD")?></label>
<input type="password" class="password" name="password" id="password" value="" />
</div>

<div class="buttons">
<input type="submit" class="submit" name="login" value="<?=__("LOGIN")?>" />
<input type="submit" class="submit" name="cancel" value="<?=__("CANCEL")?>" />
</div>

</form>
</div>
</div>
</body>
</html>